[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LDockTree' (#lcl)

# TLazDockOwnerComponent

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

TLazDockOwnerComponent - A TComponent owning all automatically created controls of a TCustomAnchoredDockManager, like TLazDockForm

## Declaration

Source position: ldocktree.pas line 205

`type TLazDockOwnerComponent = class(TComponent)`
`public`
`Manager: TCustomAnchoredDockManager;` |  | Manager - the TCustomAnchoredDockManager for this Owner
`end;`

## Inheritance

`TLazDockOwnerComponent` |  | TLazDockOwnerComponent - A TComponent owning all automatically created controls of a TCustomAnchoredDockManager, like TLazDockForm
`TComponent,IUnknown,IInterfaceComponentReference`
`TPersistent`
`TObject`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.